<?php
require_once('mainfile.php');
require_once("scripts/apifunctions.php");


$sql = dbquery("SELECT id FROM videos ORDER BY id DESC"); 
//////////////////////////////////// Adam's Pagination Logic ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$nr = mysql_num_rows($sql); // Get total of Num rows from the database query

//echo $nr;
if (isset($_GET['pn'])) { // Get pn from URL vars if it is present
    $pn = preg_replace('#[^0-9]#i', '', $_GET['pn']); // filter everything but numbers for security(new)
    //$pn = ereg_replace("[^0-9]", "", $_GET['pn']); // filter everything but numbers for security(deprecated)
} else { // If the pn URL variable is not present force it to be value of page number 1
    $pn = 1;
} 

// Get the value of the last page in the pagination result set
$lastPage = ceil($nr / $BrowsePerPage);
// Be sure URL variable $pn(page number) is no lower than page 1 and no higher than $lastpage
if ($pn < 1) { // If it is less than 1
    $pn = 1; // force if to be 1
} else if ($pn > $lastPage) { // if it is greater than $lastpage
    $pn = $lastPage; // force it to be $lastpage's value
} 
// This creates the numbers to click in between the next and back buttons
$centerPages = ""; // Initialize this variable
$sub1 = $pn - 1;
$sub2 = $pn - 2;
$add1 = $pn + 1;
$add2 = $pn + 2;
if ($pn == 1) {
	$centerPages .= '<li class="select">' . $pn . ' <li>';
	$centerPages .= '<li> <a href="'. $site_url .'browse/page-' . $add1 . '/">' . $add1 . '</a> </li>';
} else if ($pn == $lastPage) {
	$centerPages .= '<li> <a href="'. $site_url .'browse/page-' . $sub1 . '/">' . $sub1 . '</a> </li>';
	$centerPages .= '<li class="select">' . $pn . ' <li>';
} else if ($pn > 2 && $pn < ($lastPage - 1)) {
	$centerPages .= '<li> <a href="'. $site_url .'browse/page-' . $sub2 . '/">' . $sub2 . '</a> </li>';
	$centerPages .= '<li> <a href="'. $site_url .'browse/page-' . $sub1 . '/">' . $sub1 . '</a> </li>';
	$centerPages .= '<li class="select">' . $pn . ' <li>';
	$centerPages .= '<li> <a href="'. $site_url .'browse/page-' . $add1 . '/">' . $add1 . '</a> </li>';
	$centerPages .= '<li> <a href="'. $site_url .'browse/page-' . $add2 . '/">' . $add2 . '</a> </li>';
} else if ($pn > 1 && $pn < $lastPage) {
	$centerPages .= '<li> <a href="'. $site_url .'browse/page-' . $sub1 . '/">' . $sub1 . '</a> </li>';
	$centerPages .= '<li class="select">' . $pn . ' <li>';
	$centerPages .= '<li> <a href="'. $site_url .'browse/page-' . $add1 . '/">' . $add1 . '</a> </li>';
}
$paginationDisplay = "";
if ($lastPage != "1"){
    // This shows the user what page they are on, and the total number of pages
   // $paginationDisplay .= 'Page <strong>' . $pn . '</strong> of ' . $lastPage. '<img src="images/clearImage.gif" width="48" height="1" alt="Spacer" />';
	// If we are not on page 1 we can place the Back button
    if ($pn != 1) {
	    $previous = $pn - 1;
		$paginationDisplay .=  '<li>  <a href="'. $site_url .'browse/page-' . $previous . '/"> Back</a> </li>';
    } 
    // Lay in the clickable numbers display here between the Back and Next links
    $paginationDisplay .= '' . $centerPages . '';
    // If we are not on the very last page we can place the Next button
    if ($pn != $lastPage) {
        $nextPage = $pn + 1;
		$paginationDisplay .=  '<li>  <a href="'. $site_url .'browse/page-' . $nextPage . '/"> Next</a> </li>';
    } 
}



// Show Template

if($template != "") {

	if(is_file('templates/'.$template.'/browse.php')) {

		require_once('templates/'.$template.'/browse.php');

	} else {

		die("Your template appears to be corrupt. Try re-uploading the folder.".'/templates/'.$template);

	}

} else {

	die("Your default template doesn't appear to be set.");

}



/*-----------------------------------------*/



ob_end_flush();



?>