-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Feb 16, 2011 at 03:15 PM
-- Server version: 5.0.91
-- PHP Version: 5.2.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `phpvibe_tube`
--

-- --------------------------------------------------------

--
-- Table structure for table `blabbing`
--

CREATE TABLE IF NOT EXISTS `blabbing` (
  `id` int(11) NOT NULL auto_increment,
  `mem_id` int(11) NOT NULL,
  `the_blab` varchar(255) NOT NULL,
  `blab_date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=36 ;


--
-- Table structure for table `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `cat_id` int(11) NOT NULL auto_increment,
  `cat_name` varchar(150) NOT NULL,
  `cat_slug` varchar(150) NOT NULL,
  `cat_desc` varchar(500) default NULL,
  PRIMARY KEY  (`cat_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=18487 ;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`cat_id`, `cat_name`, `cat_slug`, `cat_desc`) VALUES
(18486, 'Trailers', 'Trailers', NULL),
(18485, 'Movies - Thriller', 'Movies_Thriller', NULL),
(18484, 'Movies - Sci-Fi/Fantasy', 'Movies_Sci_fi_fantasy', NULL),
(18483, 'Shows', 'Shows', NULL),
(18482, 'Movies - Shorts', 'Movies_Shorts', NULL),
(18481, 'Movies - Family', 'Movies_Family', NULL),
(18480, 'Movies - Drama', 'Movies_Drama', NULL),
(18479, 'Movies - Horror', 'Movies_Horror', NULL),
(18478, 'Movies - Foreign', 'Movies_Foreign', NULL),
(18477, 'Movies - Classics', 'Movies_Classics', NULL),
(18476, 'Movies - Action/Adventure', 'Movies_Action_adventure', NULL),
(18475, 'Movies - Documentary', 'Movies_Documentary', NULL),
(18474, 'Movies - Comedy', 'Movies_Comedy', NULL),
(18473, 'Movies', 'Movies', NULL),
(18472, 'Movies - Anime/Animation', 'Movies_Anime_animation', NULL),
(18471, 'Science & Technology', 'Tech', NULL),
(18470, 'Nonprofits & Activism', 'Nonprofit', NULL),
(18469, 'Howto & Style', 'Howto', NULL),
(18468, 'Education', 'Education', NULL),
(18467, 'Entertainment', 'Entertainment', NULL),
(18466, 'News & Politics', 'News', NULL),
(18465, 'People & Blogs', 'People', NULL),
(18464, 'Comedy', 'Comedy', NULL),
(18463, 'Gaming', 'Games', NULL),
(18462, 'Videoblogging', 'Videoblog', NULL),
(18461, 'Short Movies', 'Shortmov', NULL),
(18460, 'Travel & Events', 'Travel', NULL),
(18459, 'Sports', 'Sports', NULL),
(18458, 'Pets & Animals', 'Animals', NULL),
(18457, 'Music', 'Music', NULL),
(18456, 'Autos & Vehicles', 'Autos', NULL),
(18455, 'Film & Animation', 'Film', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `friends_requests`
--

CREATE TABLE IF NOT EXISTS `friends_requests` (
  `id` int(11) NOT NULL auto_increment,
  `mem1` int(11) NOT NULL,
  `mem2` int(11) NOT NULL,
  `timedate` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13 ;

--
-- Table structure for table `likes`
--

CREATE TABLE IF NOT EXISTS `likes` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL,
  `yid` varchar(200) NOT NULL,
  `type` varchar(200) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=43 ;


--
-- Table structure for table `myMembers`
--

CREATE TABLE IF NOT EXISTS `myMembers` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(255) NOT NULL,
  `firstname` varchar(255) NOT NULL,
  `lastname` varchar(255) NOT NULL,
  `gender` enum('m','f') NOT NULL default 'm',
  `birthday` date NOT NULL default '0000-00-00',
  `country` varchar(255) NOT NULL,
  `state` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `ipaddress` varchar(255) NOT NULL,
  `sign_up_date` date NOT NULL default '0000-00-00',
  `last_log_date` date NOT NULL default '0000-00-00',
  `bio_body` text,
  `website` varchar(255) default NULL,
  `youtube` varchar(255) default NULL,
  `facebook` varchar(255) default NULL,
  `twitter` varchar(255) default NULL,
  `friend_array` text,
  `account_type` enum('a','b','c') NOT NULL default 'a',
  `email_activated` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=27 ;

--
-- Table structure for table `playlists`
--

CREATE TABLE IF NOT EXISTS `playlists` (
  `ID` int(10) NOT NULL auto_increment,
  `pid` int(10) NOT NULL,
  `value` varchar(20) NOT NULL,
  `title` varchar(500) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=59 ;

--
-- Table structure for table `private_messages`
--

CREATE TABLE IF NOT EXISTS `private_messages` (
  `id` int(11) NOT NULL auto_increment,
  `to_id` int(11) NOT NULL,
  `from_id` int(11) NOT NULL,
  `time_sent` datetime NOT NULL,
  `subject` varchar(255) default NULL,
  `message` text,
  `opened` enum('0','1') NOT NULL,
  `recipientDelete` enum('0','1') NOT NULL,
  `senderDelete` enum('0','1') NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;


--
-- Table structure for table `tags`
--

CREATE TABLE IF NOT EXISTS `tags` (
  `tagid` int(11) NOT NULL auto_increment,
  `tag` varchar(50) NOT NULL,
  `tcount` int(11) NOT NULL,
  PRIMARY KEY  (`tagid`),
  KEY `tag` (`tag`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=31818 ;

--
-- Table structure for table `videos`
--

CREATE TABLE IF NOT EXISTS `videos` (
  `id` int(11) NOT NULL auto_increment,
  `youtube_id` varchar(30) NOT NULL,
  `title` varchar(300) NOT NULL,
  `duration` int(10) NOT NULL,
  `description` varchar(500) NOT NULL,
  `tags` varchar(500) NOT NULL,
  `category` varchar(500) NOT NULL,
  `views` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1282 ;

--
-- Table structure for table `zu_ratings`
--

CREATE TABLE IF NOT EXISTS `zu_ratings` (
  `id` int(11) NOT NULL auto_increment,
  `vid` varchar(20) NOT NULL,
  `liked` int(11) NOT NULL,
  `dislike` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4621 ;
